org.firebirdsql.gds.ng.wire.version12

## Class V12Statement

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractFbStatement
  - - org.firebirdsql.gds.ng.wire.AbstractFbWireStatement
    - - org.firebirdsql.gds.ng.wire.version10.V10Statement
      - - org.firebirdsql.gds.ng.wire.version11.V11Statement
        - - org.firebirdsql.gds.ng.wire.version12.V12Statement

- All Implemented Interfaces:
    FbStatement, ExceptionListenable, FbWireStatement
  Direct Known Subclasses:
    V13Statement

      public class V12Statement
      extends V11Statement

  Author:
    Mark Rotteveel

- - ### Field Summary

    - ### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbStatement

      `exceptionListenerDispatcher, statementListenerDispatcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `V12Statement(FbWireDatabase database)` Creates a new instance of V12Statement for the specified database.

  - ### Method Summary

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11Statement

      `free, prepare`

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10Statement

      `doFreePacket, execute, fetchRows, getDefaultSqlInfoSize, getMaxSqlInfoSize, getSqlInfo, processAllocateResponse, processExecuteResponse, processExecuteSingletonResponse, processFetchResponse, processFreeResponse, processInfoSqlResponse, processPrepareResponse, readColumnData, readSqlData, sendAllocate, sendExecute, sendFetch, sendFree, sendInfoSql, sendPrepare, setCursorName, writeColumnData, writeSqlData`

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireStatement

      `calculateBlr, calculateBlr, close, emptyRowDescriptor, getDatabase, getHandle, getXdrIn, getXdrOut, isValidTransactionClass, setHandle`

    - ### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbStatement

      `addExceptionListener, addStatementListener, checkStatementValid, closeCursor, closeCursor, createExecutionPlanProcessor, createSqlCountProcessor, ensureClosedCursor, finalize, getExecutionPlan, getFieldDescriptor, getParameterDescriptionInfoRequestItems, getParameterDescriptor, getSqlCounts, getSqlInfo, getState, getStatementInfoRequestItems, getStatementWarningCallback, getSynchronizationObject, getTransaction, getTransactionListener, getType, hasFields, hasSingletonResult, isAllRowsFetched, isPrepareAllowed, parseStatementInfo, queueRowData, removeExceptionListener, removeStatementListener, reset, reset, resetAll, setAllRowsFetched, setFieldDescriptor, setParameterDescriptor, setTransaction, setType, switchState, validateParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.FbStatement

      `addStatementListener, close, closeCursor, closeCursor, emptyRowDescriptor, ensureClosedCursor, getDatabase, getExecutionPlan, getFieldDescriptor, getHandle, getParameterDescriptor, getSqlCounts, getSqlInfo, getState, getTransaction, getType, removeStatementListener, setTransaction`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

      `addExceptionListener, removeExceptionListener`

- - ### Constructor Detail

    - #### V12Statement

          public V12Statement(FbWireDatabase database)

      Creates a new instance of V12Statement for the specified database.
      Parameters:
        `database` - FbWireDatabase implementation

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.